# $Revision: 1.29 $, $Date: 2011/12/13 22:36:07 $
# TODO
# unpackaged
#   /usr/lib/nautilus-sendto/plugins/libnstblueman.a
#   /usr/lib/nautilus-sendto/plugins/libnstblueman.la
#   /usr/lib/nautilus-sendto/plugins/libnstblueman.so
Summary:	Blueman - bluetooth management utility for GNOME
Name:		blueman
Version:	1.23
Release:	1
License:	GPL
Group:		Applications
Source0:	http://download.tuxfamily.org/blueman/%{name}-%{version}.tar.gz
# Source0-md5:	f0bee59589f4c23e35bf08c2ef8acaef
URL:		http://blueman.tuxfamily.org/
BuildRequires:	bluez-libs-devel
BuildRequires:	gettext-devel
BuildRequires:	gnome-bluetooth-devel
BuildRequires:	intltool
BuildRequires:	pkgconfig
BuildRequires:	python-Pyrex
BuildRequires:	python-dbus-devel
BuildRequires:	python-devel >= 2.5
BuildRequires:	python-distutils-extra
BuildRequires:	python-pynotify-devel
BuildRequires:	rpm-pythonprov
BuildRequires:	startup-notification-devel
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires:	bluez-libs >= 4.25
Requires:	bluez-utils >= 4.25
Requires:	gtk+2 >= 2.12
%pyrequires_eq	python = %py_ver
Requires:	python-bluetooth
Requires:	python-dbus
Requires:	python-pygtk-gtk
Requires:	python-pynotify
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Blueman is a GTK+ bluetooth management utility for GNOME using bluez
dbus backend. The aim is to create a full featured graphical bluetooth
manager for Linux.

Features:

- Easy to use interface
- Storing Favourite devices
- Send files
- Browse files on devices
- List all seen devices
- View Local/Remote Device information
- View transfer speeds and link quality
- Configure local devices
- Manage Pairing (Bonding)
- Host/Connect to Personal Area Networks
- Bind services to /dev/rfcomm ports, for eg. connecting via gprs
- Connect and receive connections from: audio, network, input and
  serial devices

%prep
%setup -q

%build
%configure \
	--disable-hal

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README
%config(noreplace) %verify(not md5 mtime size) /etc/dbus-1/system.d/org.blueman.Mechanism.conf
%attr(755,root,root) %{_libdir}/%{name}-mechanism
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/dbus-1/system-services/org.blueman.Mechanism.service
%{_iconsdir}/hicolor/scalable/*/*.svg
%{_iconsdir}/hicolor/*/apps/*.png
%{_datadir}/polkit-1/actions/org.blueman.policy
%{_desktopdir}/blueman-manager.desktop
%{py_sitedir}/*.so
%{py_sitedir}/*.a
%{py_sitedir}/*.la
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/xdg/autostart/blueman.desktop
%{_mandir}/man1/*.1*
%{_datadir}/dbus-1/services/blueman-applet.service
%{py_sitescriptdir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: blueman.spec,v $
Revision 1.29  2011/12/13 22:36:07  glen
- up to 1.23

Revision 1.28  2011/07/28 10:48:53  baggins
- rel 8
- hal is obsolete, disable it

Revision 1.27  2011/05/29 19:38:35  arekm
- release 7

Revision 1.26  2011/02/04 18:23:36  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.25  2010/09/21 19:00:05  glen
- release 5

Revision 1.24  2010/07/09 11:13:28  arekm
- release 4

Revision 1.23  2010/07/08 07:40:09  arekm
- release 3

Revision 1.22  2010/06/18 22:53:51  arvenil
- added %update_icon_cache hicolor
- release 2

Revision 1.21  2010/01/05 20:29:33  sparky
- BR: pkgconfig

Revision 1.20  2010/01/05 01:57:29  w.kier
- up to 1.21

Revision 1.19  2009/08/03 11:33:39  jareq
- update to 1.10

Revision 1.18  2009/04/14 00:42:56  gotar
- added missing Rs

Revision 1.17  2009/03/23 01:09:50  wolvverine
- add version to R:bluez*

Revision 1.16  2009/03/23 00:22:16  wolvverine
- up to 1.02

Revision 1.15  2008/10/19 06:11:18  sls
- fixed locales installation

Revision 1.14  2008/10/19 05:21:59  sls
- updated BR

Revision 1.13  2008/10/18 23:42:35  wolvverine
- up to 0.6.r106

Revision 1.12  2008/10/14 06:41:40  arekm
- release 5

Revision 1.11  2008/10/03 17:40:53  arekm
- release 4

Revision 1.10  2008/09/07 15:51:57  wolvverine
- rel.3:bluez-libs-4.2, STBR

Revision 1.9  2008/08/19 04:54:49  shadzik
- rel 2

Revision 1.8  2008/05/24 14:56:40  wolvverine
- rel.1

Revision 1.7  2008-05-24 14:37:17  shadzik
- fix everything when fixing!! wolvverine

Revision 1.6  2008-05-24 14:20:10  wolvverine
- for lib64

Revision 1.5  2008-05-24 14:09:46  shadzik
- fixed files
- blueman dir should be in /usr/lib

Revision 1.4  2008-05-24 14:01:05  wolvverine
- up rel, correct commitlog

Revision 1.3  2008-05-24 13:51:35  wolvverine
- s,lib/,%{_lib}/,g

Revision 1.2  2008-05-22 17:21:38  wolvverine
- License

Revision 1.1  2008-05-22 16:52:15  wolvverine
- init
